using System;
using System.Windows.Forms;
using Helper.Enumeration;


namespace Helper.Application
{
	/// <summary>
	/// Contains information about the current application instance.
	/// </summary>
	[Serializable]
	public class GlobalInformation
	{
		/// <summary>
		/// Holds the current user's UserId
		/// </summary>
		public static Guid UserID;
		/// <summary>
		/// Holds the current user's name
		/// </summary>
		public static string UserName;
		/// <summary>
		/// Holds the current user's CompanyId
		/// </summary>
		public static string CompanyID;
		/// <summary>
		/// Holds the current user's ITID
		/// </summary>
		public static string ITID;
		/// <summary>
		/// Holds the Kod1 value.
		/// </summary>
		public static string Code1;
		/// <summary>
		/// Holds the Kod2 value.
		/// </summary>
		public static string Code2;
		/// <summary>
		/// Holds the Kod3 value.
		/// </summary>
		public static string Code3;		
		/// <summary>
		/// Holds the Kod4 value.
		/// </summary>
		public static string Code4;
		/// <summary>
		/// Holds the Kod5 value.
		/// </summary>
		public static string Code5;
		/// <summary>
		/// Holds the Kod6 value.
		/// </summary>
		public static string Code6;
		/// <summary>
		/// Holds the ReportId value.
		/// </summary>
		public static int ReportId;
		/// <summary>
		/// Holds the Reports max level.
		/// </summary>
		public static int ReportMaxLevel;
		/// <summary>
		/// Holds the Period value.
		/// </summary>
		public static string Period;
		/// <summary>
		/// Holds the SubCode number.
		/// </summary>
		public static string SubCodeNo;
		/// <summary>
		/// Holds the SubDim number.
		/// </summary>
		public static int SubDimNo;
		/// <summary>
		/// Holds the old cell value when editing.
		/// </summary>
		public static double OldCellValue;
		/// <summary>
		/// Holds the toolbar image list, general for all forms
		/// </summary>
		public static ImageList ToolbarImageList;
		/// <summary>
		/// Holds the currently selected organisation text, displayed in the textbox.
		/// </summary>
		public static string SelectedOrganisation;
		/// <summary>
		/// 
		/// </summary>
		public static PrognosisPermission SelectedNodePermission;
		/// <summary>
		/// 
		/// </summary>
		public static PrognosisLevelStatus SelectedLevelStatus;
		/// <summary>
		/// 
		/// </summary>
		public static PrognosisStatus SelectedNodeStatus;
		/// <summary>
		/// 
		/// </summary>
		public static PrognosisStatus SubNodesStatus;
		/// <summary>
		/// 
		/// </summary>
		public static bool JusteringNiva;
		/// <summary>
		/// 
		/// </summary>
		public static bool MotpartNiva;
		/// <summary>
		/// 
		/// </summary>
		public static bool PrognosNiva;
		/// <summary>
		/// 
		/// </summary>
		public static Guid CurrentRowId;
		/// <summary>
		/// 
		/// </summary>
		public static string CurrentTreeRowId = string.Empty;
		/// <summary>
		/// 
		/// </summary>
		public static int MaxHierarchyLevels;
		/// <summary>
		/// 
		/// </summary>
		public static int CurrentHierarchyLevel;
		/// <summary>
		/// 
		/// </summary>
		public static bool FilterEnabled;
		/// <summary>
		/// 
		/// </summary>
		public static bool SummaryDetailViewEnabled;
		/// <summary>
		/// 
		/// </summary>
		public static bool ConsolidationReport;
		/// <summary>
		/// Constructs the global information instance.
		/// </summary>
		public GlobalInformation(){}
	}
}
