
#region Using Directives

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Helper.Enumeration;
using Helper.Application;
using Helper.Windows;

using Syncfusion.Windows.Forms.Grid;
using Syncfusion;

#endregion Using Directives

namespace Insera.Insight.Prognosis.Forms.Presentation.Forms
{
	/// <summary>
	/// Summary description for PrognosisOrganizationTree.
	/// </summary>
	public class PrognosisOrganizationTree : System.Windows.Forms.Form
	{
		#region Members

		#region Form Controls

		private System.Windows.Forms.ImageList toolbarImageList;
		private System.ComponentModel.IContainer components;
		private PrognosisOrganizationTreeDS organisationTree;

		#endregion Form Controls

		#region Data

		private int numberOfUniqueRows = 0;
		private string currentRadId = string.Empty;
		private DataRow currentRow = null;
		private PrognosisPermission currentRowAccess = PrognosisPermission.None;
		private GridModel gridModel = null;
		private System.Windows.Forms.Panel topPanel;
		private System.Windows.Forms.Panel toolbar1Panel;
		private System.Windows.Forms.ToolBar toolBar1;
		private System.Windows.Forms.PictureBox toolbar1ImageEnd;
		private System.Windows.Forms.PictureBox toolbar1ImageStart;
		private System.Windows.Forms.ToolBarButton toolbarNew;
		private System.Windows.Forms.ToolBarButton toolbarPrint;
		private System.Windows.Forms.ToolBarButton toolbarExcel;
		private System.Windows.Forms.ToolBarButton toolbarSeparator1;
		private System.Windows.Forms.ToolBarButton toolbarCopy;
		private System.Windows.Forms.ToolBarButton toolbarClear;
		private System.Windows.Forms.ToolBarButton toolbarComment;
		private System.Windows.Forms.ToolBarButton toolbarSeparator2;
		private System.Windows.Forms.ToolBarButton toolbarProperties;
		private System.Windows.Forms.ToolBarButton toolbarFilter;
		private System.Windows.Forms.ToolBarButton toolbarSeparator3;
		private System.Windows.Forms.ToolBarButton toolbarApprove;
		private System.Windows.Forms.ToolBarButton toolbarApproveMotpart;
		private System.Windows.Forms.ToolBarButton toolbarDecline;
		private System.Windows.Forms.ToolBarButton toolbarSeparator4;
		private System.Windows.Forms.ToolBarButton toolbarInclude;
		private System.Windows.Forms.ToolBarButton toolbarExclude;
		private System.Windows.Forms.ToolBarButton toolbarBuySell;
		private System.Windows.Forms.ToolBarButton toolbarDelete;
		private System.Windows.Forms.ToolBarButton toolbarPersonnelGroups;
		private System.Windows.Forms.ToolBarButton toolbarDrillDown;
		private System.Windows.Forms.ToolBarButton toolbarEliminate;
		private System.Windows.Forms.ToolBarButton toolbarSeparator5;
		private System.Windows.Forms.Button buttonCancel;
		private System.Windows.Forms.Button buttonOK;
		private System.Windows.Forms.Panel mainPanel;
		private System.Windows.Forms.Panel informationPanel;
		private System.Windows.Forms.PictureBox informationImage;
		private System.Windows.Forms.Label informationLabel;
		private Syncfusion.Windows.Forms.Grid.GridDataBoundGrid gridDataBoundGrid1;
		private System.Windows.Forms.ToolBarButton toolbarSummaryDetails;
		private GridModelDataBinder gridBinder = null;
		
		#endregion Data

		#endregion Members
		
		#region Construction

		/// <summary>
		/// 
		/// </summary>
		public PrognosisOrganizationTree()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		#endregion Construction

		#region Overrides

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#endregion Overrides
		
		#region Helpers

		private PrognosisOrganizationTreeDS FillTables()
		{

			#region Definition

			PrognosisOrganizationTreeDS data = new PrognosisOrganizationTreeDS();

			PrognosisOrganizationTreeDS.PrognosisOrganizationTreeDefinitionRow definitionRow = (PrognosisOrganizationTreeDS.PrognosisOrganizationTreeDefinitionRow)data.PrognosisOrganizationTreeDefinition.NewRow();
			definitionRow.AntalBrytKodPlID = 3;
			definitionRow.AntalRader = 136;
			data.PrognosisOrganizationTreeDefinition.Rows.Add(definitionRow);

			#endregion Definition
			
			#region Level 1

			PrognosisOrganizationTreeDS.PrognosisOrganizationTree1Row level1 = (PrognosisOrganizationTreeDS.PrognosisOrganizationTree1Row)data.PrognosisOrganizationTree1.NewRow();
			
			level1.RadID = "(1) 12 - Division Kirurgi";
			level1.RadIDOver = "(1) 12 - Division Kirurgi";
			level1.Kod = "12";
			level1.KodText = "Division Kirurgi";
			level1.UnderPrognosKoddelNr = -1;
			level1.Behorig = 2;
			level1.NivaStatusID = 1;
			level1.NivaStatusText = "Justering / Motpartsfr.";
			level1.PrognosStatusID = 2;
			level1.PrognosStatusText = "Klarmarkerad";
			level1.Niva = 1;
			level1.AnvIDAndrad = new Guid("95967e29-3a2b-437c-a6fe-1b3c05f4c72b");
			level1.AnvNamn = "Mattias sterskog";
			level1.DatumAndrad = DateTime.Now;
			level1.UnderPrognosStatusID = 2;
			level1.JusteringNiva = true;
			level1.MotpartNiva = true;
			level1.PrognosNiva = true;

			data.PrognosisOrganizationTree1.Rows.Add(level1);

			#endregion Level 1

			#region Level 2

			PrognosisOrganizationTreeDS.PrognosisOrganizationTree2Row level2 = (PrognosisOrganizationTreeDS.PrognosisOrganizationTree2Row)data.PrognosisOrganizationTree2.NewRow();
			
			level2.RadID = "(2) 1201 - Kirurgi";
			level2.RadIDOver = "(1) 12 - Division Kirurgi";
			level2.Kod = "1201";
			level2.KodText = "Kirurgi";
			level2.UnderPrognosKoddelNr = -1;
			level2.Behorig = 2;
			level2.NivaStatusID = 2;
			level2.NivaStatusText = "Justering / Motpartsfr.";
			level2.PrognosStatusID = 2;
			level2.PrognosStatusText = "Klarmarkerad";
			level2.Niva = 2;
			level2.AnvIDAndrad = new Guid("95967e29-3a2b-437c-a6fe-1b3c05f4c72b");
			level2.AnvNamn = "Mattias sterskog";
			level2.DatumAndrad = DateTime.Now;
			level2.UnderPrognosStatusID = 2;
			level2.JusteringNiva = true;
			level2.MotpartNiva = true;
			level2.PrognosNiva = true;

			data.PrognosisOrganizationTree2.Rows.Add(level2);

			level2 = (PrognosisOrganizationTreeDS.PrognosisOrganizationTree2Row)data.PrognosisOrganizationTree2.NewRow();
			
			level2.RadID = "(3) 1202 - Ortopedi";
			level2.RadIDOver = "(1) 12 - Division Kirurgi";
			level2.Kod = "1202";
			level2.KodText = "Ortopedi";
			level2.UnderPrognosKoddelNr = -1;
			level2.Behorig = 2;
			level2.NivaStatusID = 1;
			level2.NivaStatusText = "Justering / Motpartsfr.";
			level2.PrognosStatusID = 2;
			level2.PrognosStatusText = "Klarmarkerad";
			level2.Niva = 2;
			level2.AnvIDAndrad = new Guid("95967e29-3a2b-437c-a6fe-1b3c05f4c72b");
			level2.AnvNamn = "Mattias sterskog";
			level2.DatumAndrad = DateTime.Now;
			level2.UnderPrognosStatusID = 2;
			level2.JusteringNiva = true;
			level2.MotpartNiva = true;
			level2.PrognosNiva = true;

			data.PrognosisOrganizationTree2.Rows.Add(level2);

			level2 = (PrognosisOrganizationTreeDS.PrognosisOrganizationTree2Row)data.PrognosisOrganizationTree2.NewRow();
			
			level2.RadID = "(4) 1203 - gonkliniken";
			level2.RadIDOver = "(1) 12 - Division Kirurgi";
			level2.Kod = "1203";
			level2.KodText = "gonkliniken";
			level2.UnderPrognosKoddelNr = -1;
			level2.Behorig = 2;
			level2.NivaStatusID = 1;
			level2.NivaStatusText = "Justering / Motpartsfr.";
			level2.PrognosStatusID = 2;
			level2.PrognosStatusText = "Klarmarkerad";
			level2.Niva = 2;
			level2.AnvIDAndrad = new Guid("95967e29-3a2b-437c-a6fe-1b3c05f4c72b");
			level2.AnvNamn = "Mattias sterskog";
			level2.DatumAndrad = DateTime.Now;
			level2.UnderPrognosStatusID = 2;
			level2.JusteringNiva = true;
			level2.MotpartNiva = true;
			level2.PrognosNiva = true;

			data.PrognosisOrganizationTree2.Rows.Add(level2);

			#endregion Level 2

			#region Level 3

			PrognosisOrganizationTreeDS.PrognosisOrganizationTree3Row level3 = (PrognosisOrganizationTreeDS.PrognosisOrganizationTree3Row)data.PrognosisOrganizationTree3.NewRow();
			
			level3.RadID = "(14) 1201030 - vre G-E";
			level3.RadIDOver = "(2) 1201 - Kirurgi";
			level3.Kod = "1201030";
			level3.KodText = "vre G-E";
			level3.UnderPrognosKoddelNr = -1;
			level3.Behorig = 2;
			level3.NivaStatusID = 2;
			level3.NivaStatusText = "Justering / Motpartsfr.";
			level3.PrognosStatusID = 2;
			level3.PrognosStatusText = "Klarmarkerad";
			level3.Niva = 3;
			level3.AnvIDAndrad = new Guid("95967e29-3a2b-437c-a6fe-1b3c05f4c72b");
			level3.AnvNamn = "Mattias sterskog";
			level3.DatumAndrad = DateTime.Now;
			level3.UnderPrognosStatusID = 2;
			level3.JusteringNiva = true;
			level3.MotpartNiva = true;
			level3.PrognosNiva = true;

			data.PrognosisOrganizationTree3.Rows.Add(level3);

			level3 = (PrognosisOrganizationTreeDS.PrognosisOrganizationTree3Row)data.PrognosisOrganizationTree3.NewRow();
			
			level3.RadID = "(15) 1201040 - Nedre G-E";
			level3.RadIDOver = "(2) 1201 - Kirurgi";
			level3.Kod = "1201040";
			level3.KodText = "Nedre G-E";
			level3.UnderPrognosKoddelNr = -1;
			level3.Behorig = 2;
			level3.NivaStatusID = 1;
			level3.NivaStatusText = "Justering / Motpartsfr.";
			level3.PrognosStatusID = 2;
			level3.PrognosStatusText = "Klarmarkerad";
			level3.Niva = 3;
			level3.AnvIDAndrad = new Guid("95967e29-3a2b-437c-a6fe-1b3c05f4c72b");
			level3.AnvNamn = "Mattias sterskog";
			level3.DatumAndrad = DateTime.Now;
			level3.UnderPrognosStatusID = 2;
			level3.JusteringNiva = true;
			level3.MotpartNiva = true;
			level3.PrognosNiva = true;

			data.PrognosisOrganizationTree3.Rows.Add(level3);

			return data;

			#endregion Level 3

		}
		
		/// <summary>
		/// Checks if all dimensions (projects) below a node is excluded or not.
		/// </summary>
		/// <param name="parentRowId">The parentId to the dimensions to check.</param>
		/// <param name="hierarchy">The hierarchy id to know which table to look in.</param>
		private void UpdateParentNodeWhenAllSubDimensionsAreExcluded(string parentRowId, int hierarchy)
		{
			bool allRowsLocked = true;
			DataRow[] subRows = organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(hierarchy)].Select("RadIdOver = '" + parentRowId + "'");
			
			foreach(DataRow currentRow in subRows)
			{
				if(Convert.ToInt32(currentRow["NivaStatusId"]) != Convert.ToInt32(PrognosisLevelStatus.Locked))
				{
					allRowsLocked = false;
					break;
				}
			}

			if(allRowsLocked)
			{
				DataRow[] parentRow = organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(hierarchy-1)].Select("RadId = '" + parentRowId + "'");
				
				if(parentRow.Length > 0)
				{
					parentRow[0]["NivaStatusID"] = Convert.ToInt32(PrognosisLevelStatus.Excluded);
				}
			}
		}
		
		/// <summary>
		/// Recurses through the dataset and updates the NivaStatusId for all subnodes.
		/// </summary>
		/// <param name="rootRadId"></param>
		/// <param name="startHierarchyLevel"></param>
		/// <param name="newStatus"></param>
		/// <param name="newStatusText"></param>
		private void UpdateSubNodeStatuses(string rootRadId, int startHierarchyLevel, PrognosisLevelStatus newStatus, string newStatusText)
		{
			if(startHierarchyLevel <= GlobalInformation.MaxHierarchyLevels)
			{
				DataRow[] subRows = organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(startHierarchyLevel+1)].Select("RadIdOver = '" + rootRadId + "'");	
				
				foreach(DataRow currentRow in subRows)
				{
					currentRow["NivaStatusId"] = Convert.ToInt32(newStatus);
					currentRow["NivaStatusText"] = newStatusText;
					
					if(PrognosisLevelStatus.Locked == newStatus)
					{
						currentRow["UnderPrognosStatusID"] = Convert.ToInt32(PrognosisStatus.Finished);
						currentRow["PrognosStatusID"] = Convert.ToInt32(PrognosisStatus.Finished);
						currentRow["PrognosNiva"] = false;
					}
					else
					{
						currentRow["UnderPrognosStatusID"] = Convert.ToInt32(PrognosisStatus.Open);
						currentRow["PrognosStatusID"] = Convert.ToInt32(PrognosisStatus.Open);
						if(Convert.ToInt32(currentRow["Niva"]) == GlobalInformation.MaxHierarchyLevels || Convert.ToInt32(currentRow["Niva"]) + 1 == GlobalInformation.MaxHierarchyLevels || Convert.ToBoolean(currentRow["JusteringNiva"]))
							currentRow["PrognosNiva"] = true;
					}
					
					//Update the others recursively
					UpdateSubNodeStatuses(currentRow["RadId"].ToString(), startHierarchyLevel+1, newStatus, newStatusText);
				}
			}
		}

		private void ExpandTreeToSelectedNode(string nodeToSelect)
		{
			this.gridDataBoundGrid1.BeginUpdate();
			this.gridDataBoundGrid1.CollapseAll();
			
			for(int i = this.gridDataBoundGrid1.Model.Rows.HeaderCount + 1; i <= this.gridDataBoundGrid1.Model.RowCount; ++i)
			{
				if(CheckRowAndItsChildren(i, nodeToSelect))
					break;
			}
			
			this.gridDataBoundGrid1.EndUpdate();
			this.gridDataBoundGrid1.Refresh();
		}

		private bool CheckRowAndItsChildren(int rowIndex, string nodeToSelect)
		{
			//check the current row
			GridBoundRecordState state = this.gridDataBoundGrid1.Binder.GetRecordStateAtRowIndex(rowIndex);
			DataRowView drv = state.Table[state.Position] as DataRowView;
			if(drv[0].ToString() == nodeToSelect)
			{
				this.gridDataBoundGrid1.Selections.SelectRange(GridRangeInfo.Row(rowIndex), true);
				return true;
			}
			else
			{
				if(state.HasChildList)
				{
					this.gridDataBoundGrid1.ExpandAtRowIndex(rowIndex);
					for(int i = 0; i < state.ChildCount; ++i)
					{
						if(CheckRowAndItsChildren(rowIndex + i + 1, nodeToSelect))
							return true;
					}
					this.gridDataBoundGrid1.CollapseAtRowIndex(rowIndex);
				}
			}
			return false;
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="rowAccess"></param>
		private void SetButtonStatus(PrognosisPermission rowAccess)
		{
			if(GlobalInformation.SelectedLevelStatus != PrognosisLevelStatus.Locked)
			{
				this.toolbarInclude.ToolTipText = "Underliggande med";
				this.toolbarExclude.ToolTipText = "Underliggande ej med";

				switch((PrognosisPermission)rowAccess)
				{
					
					case PrognosisPermission.Full:
						if(!GlobalInformation.ConsolidationReport)
						{
							if(GlobalInformation.CurrentHierarchyLevel == GlobalInformation.MaxHierarchyLevels && GlobalInformation.SelectedNodeStatus != PrognosisStatus.Finished)
							{
								this.toolbarNew.Enabled = true;
							}
							else if(GlobalInformation.CurrentHierarchyLevel == GlobalInformation.MaxHierarchyLevels + 1)
							{
								this.toolbarInclude.ToolTipText = "Enhet med";
								this.toolbarExclude.ToolTipText = "Enhet ej med";
								this.toolbarNew.Enabled = false;
							}
							else
								this.toolbarNew.Enabled = false;
						
							this.toolbarInclude.Enabled = true;
							this.toolbarExclude.Enabled = true;
						}
						this.buttonOK.Enabled = true;
						break;
					case PrognosisPermission.Read:
						this.toolbarNew.Enabled = false;
						this.toolbarInclude.Enabled = false;
						this.toolbarExclude.Enabled = false;
						this.buttonOK.Enabled = true;
						break;
					case PrognosisPermission.None:
						this.toolbarNew.Enabled = false;
						this.toolbarInclude.Enabled = false;
						this.toolbarExclude.Enabled = false;
						this.buttonOK.Enabled = false;
						break;
				}
			}
			else
			{
				this.toolbarNew.Enabled = false;
				this.toolbarInclude.Enabled = false;
				this.toolbarExclude.Enabled = false;
				this.buttonOK.Enabled = false;
			}
				
		}
		/// <summary>
		/// Fills the global Code variables with information based on the selection in the tree.
		/// </summary>
		/// <returns>Returns a string with the selected codeNo and codeText</returns>
		private string FillSelectedCodes()
		{
			//Make the current selection
			GridCurrentCell currentCell = gridDataBoundGrid1.CurrentCell;
			GridBoundRecordState state = gridDataBoundGrid1.Binder.GetRecordStateAtRowIndex(currentCell.RowIndex);
			string selectedText = string.Empty;
			int currentLevel = state.LevelIndex+1;
			
			DataRow dataRow = null;
			DataRow[] firstRows = organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(currentLevel)].Select("RadId = '" + GlobalInformation.CurrentTreeRowId + "'");
			if(firstRows.Length > 0)
			{
				dataRow = firstRows[0];

				selectedText = dataRow["Kod"].ToString() + ", " + dataRow["KodText"].ToString();
			
				//Reset the old codes first.
				GlobalInformation.Code1 = "-1";
				GlobalInformation.Code2 = "-1";
				GlobalInformation.Code3 = "-1";
				GlobalInformation.Code4 = "-1";
				GlobalInformation.Code5 = "-1";
				GlobalInformation.Code6 = "-1";
				GlobalInformation.SubCodeNo = "-1";
				GlobalInformation.SubDimNo = -1;
			
				while(currentLevel > 0)
				{
					if(dataRow != null)
					{
						string code = dataRow["Kod"].ToString();
						int subDimNo = Convert.ToInt32(dataRow["UnderPrognosKoddelNr"]);
					
						if(currentLevel == GlobalInformation.MaxHierarchyLevels + 1)
						{
							GlobalInformation.SubDimNo = subDimNo;
							GlobalInformation.SubCodeNo = code;
						}
						else
						{
							switch(currentLevel)
							{
								case 1:
									GlobalInformation.Code1 = code;
									break;
								case 2:
									GlobalInformation.Code2 = code;
									break;
								case 3:
									GlobalInformation.Code3 = code;
									break;
								case 4:
									GlobalInformation.Code4 = code;
									break;
								case 5:
									GlobalInformation.Code5 = code;
									break;
								case 6:
									GlobalInformation.Code6 = code;
									break;
							}
						}
					}

					currentLevel--;
					if(currentLevel > 0)
					{
						DataRow[] tempRows = organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(currentLevel)].Select("RadId = '" + dataRow["RadIdOver"].ToString() + "'");
				
						if(tempRows.Length > 0)
							dataRow = tempRows[0];
						else
							currentLevel = -1;
					}
				}
			}

			return selectedText;
		}
		
		#endregion Helpers

		#region Main

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.EnableVisualStyles();
			Application.DoEvents();
			Application.Run(new PrognosisOrganizationTree());
		}

		#endregion Main

		#region EventHandlers

		#region Form

		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void PrognosisOrganizationTree_Load(object sender, System.EventArgs e)
		{
			GlobalInformation.Code1 = "-1";
			GlobalInformation.Code2 = "-1";
			GlobalInformation.Code3 = "-1";
			GlobalInformation.Code4 = "-1";
			GlobalInformation.Code5 = "-1";
			GlobalInformation.Code6 = "-1";
			GlobalInformation.SubCodeNo = "-1";
			GlobalInformation.SubDimNo = -1;
			
			// cache grid model and binder
			this.gridModel = this.gridDataBoundGrid1.Model;
			this.gridBinder = this.gridDataBoundGrid1.Binder;

			organisationTree = new PrognosisOrganizationTreeDS();
			DataRelation relation = null;
			
			organisationTree = this.FillTables();

			GlobalInformation.MaxHierarchyLevels = organisationTree.PrognosisOrganizationTreeDefinition[0].AntalBrytKodPlID;
			numberOfUniqueRows = organisationTree.PrognosisOrganizationTreeDefinition[0].AntalRader;
			
			for(int i = 1; i <= GlobalInformation.MaxHierarchyLevels; i++)
			{
				relation = new DataRelation("Kod" + i.ToString(), organisationTree.Tables["PrognosisOrganizationTree" + i.ToString()].Columns["RadID"], organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(i+1)].Columns["RadIDOver"]);
				organisationTree.Relations.Add(relation);
			}
			
			this.gridDataBoundGrid1.DataSource = organisationTree;
			this.gridDataBoundGrid1.DataMember = organisationTree.Tables[1].TableName;

			GridHierarchyLevel level0;
			GridHierarchyLevel level1;
			GridHierarchyLevel level2;
			GridHierarchyLevel level3;
			GridHierarchyLevel level4; 

			level0 = this.gridDataBoundGrid1.Binder.RootHierarchyLevel;
			level1 = this.gridDataBoundGrid1.Binder.AddRelation("Kod1");
			level2 = this.gridDataBoundGrid1.Binder.AddRelation("Kod2");
			level3 = this.gridDataBoundGrid1.Binder.AddRelation("Kod3");
			level4 = this.gridDataBoundGrid1.Binder.AddRelation("Kod4");

			this.gridDataBoundGrid1.TableStyle.WrapText = false;

			gridBinder.EnableAddNew = false;
			this.gridDataBoundGrid1.Properties.BackgroundColor = SystemColors.Window;

			gridModel.Cols.Hidden[0] = true;
			gridModel.Cols.Hidden[3] = true;
			gridModel.Cols.Hidden[4] = true;
			gridModel.Cols.Hidden[5] = true;
			gridModel.Cols.Hidden[6] = true;
			gridModel.Cols.Hidden[7] = true;
			gridModel.Cols.Hidden[9] = true;
			gridModel.Cols.Hidden[11] = true;
			gridModel.Cols.Hidden[12] = true;
			gridModel.Cols.Hidden[13] = true;
			gridModel.Cols.Hidden[14] = true;
			gridModel.Cols.Hidden[15] = true;
			gridModel.Cols.Hidden[16] = true;
			gridModel.Cols.Hidden[17] = true;
			gridModel.Cols.Hidden[18] = true;
			gridModel.Cols.Hidden[19] = true;
			gridModel.Cols.Hidden[20] = true;

			gridBinder.InternalColumns[0].HeaderText = "Organisation";
			gridBinder.InternalColumns[6].HeaderText = " ";
			gridBinder.InternalColumns[8].HeaderText = "Status";
			
			gridModel.Rows.Hidden.SetRange(1, this.gridDataBoundGrid1.Model.Rows.HeaderCount, true);
			gridModel.Options.DefaultGridBorderStyle = GridBorderStyle.None;
			this.gridDataBoundGrid1.ShowTreeLines = true;
			this.gridDataBoundGrid1.IndentHierarchies = false;
			
			//this.gridDataBoundGrid1.RowExpanded +=new GridRowEventHandler(gridDataBoundGrid1_RowExpanded);
			//this.gridDataBoundGrid1.DrawCellDisplayText +=new GridDrawCellDisplayTextEventHandler(gridDataBoundGrid1_DrawCellDisplayText);
			this.gridDataBoundGrid1.CellDrawn +=new GridDrawCellEventHandler(gridDataBoundGrid1_CellDrawn);
			//this.gridDataBoundGrid1.CurrentCellActivated +=new EventHandler(gridDataBoundGrid1_CurrentCellActivated);
			
			gridModel.ColWidths.ResizeToFit(GridRangeInfo.Col(2));
			gridModel.Options.AllowDragSelectedCols = false;
			
			this.gridDataBoundGrid1.ListBoxSelectionMode = SelectionMode.One;
			this.gridDataBoundGrid1.SortBehavior = GridSortBehavior.None;
			this.gridDataBoundGrid1.ThemesEnabled = true;

			this.toolbarNew.Enabled = false;
			this.toolbarInclude.Enabled = false;
			this.toolbarExclude.Enabled = false;
			this.buttonOK.Enabled = false;

			if(GlobalInformation.CurrentTreeRowId != string.Empty)
				this.ExpandTreeToSelectedNode(GlobalInformation.CurrentTreeRowId);
			else
				this.gridDataBoundGrid1.ExpandAtRowIndex(this.gridDataBoundGrid1.Model.Rows.HeaderCount + 1);

			gridModel.ReadOnly = true;

			Cursor = Cursors.Default;
		}

		#endregion Form

		#region Grid

		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void gridDataBoundGrid1_RowExpanded(object sender, GridRowEventArgs e)
		{
			gridModel.ColWidths.ResizeToFit(GridRangeInfo.Col(2));
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void gridDataBoundGrid1_DrawCellDisplayText(object sender, GridDrawCellDisplayTextEventArgs e)
		{
			if(e.Style.CellType == "DataBoundTreeCell")
			{
				string text = e.DisplayText;
				int startIndex = text.IndexOf('(');
				int stopIndex = text.IndexOf(')');
				text = text.Remove(startIndex,stopIndex-startIndex+1);
				e.DisplayText = text;
			}
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void gridDataBoundGrid1_CellDrawn(object sender, GridDrawCellEventArgs e)
		{
			GridDataBoundGrid grid = (GridDataBoundGrid)sender;
			PrognosisOrganizationTreeDS currentDataSet = (PrognosisOrganizationTreeDS)grid.Binder.DataSource;
			
			if(e.ColIndex == 2) 
			{ 
				GridBoundRecordState state = this.gridDataBoundGrid1.Binder.GetRecordStateAtRowIndex(e.RowIndex); 
				if(state.HasChildList && state.ChildCount == 0) 
				{ 
					if(!this.gridDataBoundGrid1.IsExpandedAtRowIndex(e.RowIndex)) 
					{ 
						this.gridDataBoundGrid1.BeginUpdate(); 
						this.gridDataBoundGrid1.Model.SuspendChangeEvents(); 
					
						this.gridDataBoundGrid1.ExpandAtRowIndex(e.RowIndex); 
						this.gridDataBoundGrid1.CollapseAtRowIndex(e.RowIndex); 
						
						this.gridDataBoundGrid1.Model.ResumeChangeEvents(); 
						this.gridDataBoundGrid1.EndUpdate(); 
						this.gridDataBoundGrid1.Invalidate(e.Bounds);
						this.gridDataBoundGrid1.Update();
					}
				}
			} 
			else if(e.ColIndex == 8)
			{
				GridBoundRecordState state = grid.Binder.GetRecordStateAtRowIndex(e.RowIndex);
				
				if(state.LevelIndex >= 0)
				{
					string radIdToDraw = grid[e.RowIndex,2].CellValue.ToString();
					DataRow[] dataRows = currentDataSet.Tables["PrognosisOrganizationTree" + Convert.ToString(state.LevelIndex+1)].Select("RadId = '" + radIdToDraw.ToString() + "'");
					
					if(dataRows.Length > 0)
					{
						DataRow dataRow = dataRows[0];

						if((PrognosisLevelStatus)Convert.ToInt32(dataRow["NivaStatusID"]) != PrognosisLevelStatus.Locked)
						{
							Rectangle rect = GridUtil.CenterInRect(e.Bounds, this.toolbarImageList.ImageSize); 

							switch(Convert.ToInt32(dataRow["PrognosStatusID"]))
							{
								case 0:
									GridStaticCellRenderer.DrawImage(e.Graphics, this.toolbarImageList, Convert.ToInt32(ImageIndex.Stop), rect, false);
									break;
								case 1:
									GridStaticCellRenderer.DrawImage(e.Graphics, this.toolbarImageList, Convert.ToInt32(ImageIndex.Warning), rect, false);
									break;
								case 2:
									GridStaticCellRenderer.DrawImage(e.Graphics, this.toolbarImageList, Convert.ToInt32(ImageIndex.Approve), rect, false);
									break;
								default:
									break;
							}
						}
					}
				}
			}
		}
		
		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void gridDataBoundGrid1_CurrentCellActivated(object sender, EventArgs e)
		{
			GridCurrentCell currentCell = gridDataBoundGrid1.CurrentCell;
			GridBoundRecordState state = gridDataBoundGrid1.Binder.GetRecordStateAtRowIndex(currentCell.RowIndex);
			currentRadId = gridDataBoundGrid1[currentCell.RowIndex,2].CellValue.ToString();
			int currentLevel = state.LevelIndex+1;
			
			DataRow[] firstRows = organisationTree.Tables["PrognosisOrganizationTree" + Convert.ToString(currentLevel)].Select("RadId = '" + currentRadId + "'");
			if(firstRows.Length > 0)
			{
				currentRow = firstRows[0];
				
				currentRowAccess = (PrognosisPermission)Convert.ToInt32(currentRow["Behorig"]);
				GlobalInformation.CurrentTreeRowId = currentRow["RadId"].ToString();
				GlobalInformation.CurrentHierarchyLevel = currentLevel;
				GlobalInformation.SelectedLevelStatus = (PrognosisLevelStatus)currentRow["NivaStatusID"];
				GlobalInformation.SelectedNodeStatus = (PrognosisStatus)currentRow["PrognosStatusID"];

				SetButtonStatus(currentRowAccess);
			
				//Make sure that all codes are correct.
				FillSelectedCodes();
			}
		}

		#endregion Grid

		#region Toolbar
		
		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void toolBar1_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			//Handle the toolbar click
			switch((ToolbarButton)toolBar1.Buttons.IndexOf(e.Button))
			{
				case ToolbarButton.New:
					
					break;
				case ToolbarButton.Include:
					
					break;
				case ToolbarButton.Exclude:
					break;
			}
		}
		
		#endregion Toolbar

		#region Buttons

		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void buttonCancel_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void buttonOK_Click(object sender, System.EventArgs e)
		{
			GlobalInformation.SelectedOrganisation = FillSelectedCodes();
			
			GlobalInformation.SelectedNodePermission = (PrognosisPermission)currentRow["Behorig"];
			GlobalInformation.SelectedLevelStatus = (PrognosisLevelStatus)currentRow["NivaStatusID"];
			GlobalInformation.SelectedNodeStatus = (PrognosisStatus)currentRow["PrognosStatusID"];
			GlobalInformation.SubNodesStatus = (PrognosisStatus)currentRow["UnderPrognosStatusID"];
			GlobalInformation.JusteringNiva = (bool)currentRow["JusteringNiva"];
			GlobalInformation.MotpartNiva = (bool)currentRow["MotpartNiva"];
			GlobalInformation.PrognosNiva = (bool)currentRow["PrognosNiva"];

			if(	(GlobalInformation.SelectedNodeStatus == PrognosisStatus.Open) &&
				(GlobalInformation.SubNodesStatus != PrognosisStatus.Finished) &&
				(GlobalInformation.SelectedLevelStatus == PrognosisLevelStatus.Included))
			{
				DialogBox box = new DialogBox("Samtliga underenheter r ej klarmarkerade. Prognos utgr endast en gonblicksbild och kan frndras under det terstende prognosarbetet.",DialogBoxButtons.OK,DialogBoxIcons.Warning);
				if(box.ShowDialog(this) == DialogResult.OK)
					this.Close();
			}

			Cursor = Cursors.WaitCursor;

			this.Close();
		}

		#endregion Buttons

		#endregion EventHandlers

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(PrognosisOrganizationTree));
			this.toolbarImageList = new System.Windows.Forms.ImageList(this.components);
			this.topPanel = new System.Windows.Forms.Panel();
			this.toolbar1Panel = new System.Windows.Forms.Panel();
			this.toolBar1 = new System.Windows.Forms.ToolBar();
			this.toolbarNew = new System.Windows.Forms.ToolBarButton();
			this.toolbarDelete = new System.Windows.Forms.ToolBarButton();
			this.toolbarPrint = new System.Windows.Forms.ToolBarButton();
			this.toolbarExcel = new System.Windows.Forms.ToolBarButton();
			this.toolbarSeparator1 = new System.Windows.Forms.ToolBarButton();
			this.toolbarCopy = new System.Windows.Forms.ToolBarButton();
			this.toolbarClear = new System.Windows.Forms.ToolBarButton();
			this.toolbarComment = new System.Windows.Forms.ToolBarButton();
			this.toolbarSeparator2 = new System.Windows.Forms.ToolBarButton();
			this.toolbarProperties = new System.Windows.Forms.ToolBarButton();
			this.toolbarFilter = new System.Windows.Forms.ToolBarButton();
			this.toolbarSummaryDetails = new System.Windows.Forms.ToolBarButton();
			this.toolbarSeparator3 = new System.Windows.Forms.ToolBarButton();
			this.toolbarPersonnelGroups = new System.Windows.Forms.ToolBarButton();
			this.toolbarDrillDown = new System.Windows.Forms.ToolBarButton();
			this.toolbarSeparator4 = new System.Windows.Forms.ToolBarButton();
			this.toolbarDecline = new System.Windows.Forms.ToolBarButton();
			this.toolbarApproveMotpart = new System.Windows.Forms.ToolBarButton();
			this.toolbarApprove = new System.Windows.Forms.ToolBarButton();
			this.toolbarSeparator5 = new System.Windows.Forms.ToolBarButton();
			this.toolbarInclude = new System.Windows.Forms.ToolBarButton();
			this.toolbarExclude = new System.Windows.Forms.ToolBarButton();
			this.toolbarEliminate = new System.Windows.Forms.ToolBarButton();
			this.toolbarBuySell = new System.Windows.Forms.ToolBarButton();
			this.toolbar1ImageEnd = new System.Windows.Forms.PictureBox();
			this.toolbar1ImageStart = new System.Windows.Forms.PictureBox();
			this.buttonCancel = new System.Windows.Forms.Button();
			this.buttonOK = new System.Windows.Forms.Button();
			this.mainPanel = new System.Windows.Forms.Panel();
			this.gridDataBoundGrid1 = new Syncfusion.Windows.Forms.Grid.GridDataBoundGrid();
			this.informationPanel = new System.Windows.Forms.Panel();
			this.informationImage = new System.Windows.Forms.PictureBox();
			this.informationLabel = new System.Windows.Forms.Label();
			this.topPanel.SuspendLayout();
			this.toolbar1Panel.SuspendLayout();
			this.mainPanel.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridDataBoundGrid1)).BeginInit();
			this.informationPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// toolbarImageList
			// 
			this.toolbarImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth16Bit;
			this.toolbarImageList.ImageSize = new System.Drawing.Size(16, 16);
			this.toolbarImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("toolbarImageList.ImageStream")));
			this.toolbarImageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// topPanel
			// 
			this.topPanel.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(195)), ((System.Byte)(218)), ((System.Byte)(249)));
			this.topPanel.Controls.Add(this.toolbar1Panel);
			this.topPanel.Location = new System.Drawing.Point(0, 0);
			this.topPanel.Name = "topPanel";
			this.topPanel.Size = new System.Drawing.Size(774, 30);
			this.topPanel.TabIndex = 15;
			// 
			// toolbar1Panel
			// 
			this.toolbar1Panel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("toolbar1Panel.BackgroundImage")));
			this.toolbar1Panel.Controls.Add(this.toolBar1);
			this.toolbar1Panel.Controls.Add(this.toolbar1ImageEnd);
			this.toolbar1Panel.Controls.Add(this.toolbar1ImageStart);
			this.toolbar1Panel.Location = new System.Drawing.Point(0, 0);
			this.toolbar1Panel.Name = "toolbar1Panel";
			this.toolbar1Panel.Size = new System.Drawing.Size(100, 26);
			this.toolbar1Panel.TabIndex = 12;
			// 
			// toolBar1
			// 
			this.toolBar1.Anchor = System.Windows.Forms.AnchorStyles.Left;
			this.toolBar1.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.toolBar1.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						this.toolbarNew,
																						this.toolbarDelete,
																						this.toolbarPrint,
																						this.toolbarExcel,
																						this.toolbarSeparator1,
																						this.toolbarCopy,
																						this.toolbarClear,
																						this.toolbarComment,
																						this.toolbarSeparator2,
																						this.toolbarProperties,
																						this.toolbarFilter,
																						this.toolbarSummaryDetails,
																						this.toolbarSeparator3,
																						this.toolbarPersonnelGroups,
																						this.toolbarDrillDown,
																						this.toolbarSeparator4,
																						this.toolbarDecline,
																						this.toolbarApproveMotpart,
																						this.toolbarApprove,
																						this.toolbarSeparator5,
																						this.toolbarInclude,
																						this.toolbarExclude,
																						this.toolbarEliminate,
																						this.toolbarBuySell});
			this.toolBar1.Divider = false;
			this.toolBar1.Dock = System.Windows.Forms.DockStyle.None;
			this.toolBar1.DropDownArrows = true;
			this.toolBar1.ImageList = this.toolbarImageList;
			this.toolBar1.Location = new System.Drawing.Point(10, 2);
			this.toolBar1.Name = "toolBar1";
			this.toolBar1.ShowToolTips = true;
			this.toolBar1.Size = new System.Drawing.Size(75, 26);
			this.toolBar1.TabIndex = 1;
			this.toolBar1.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar1_ButtonClick);
			// 
			// toolbarNew
			// 
			this.toolbarNew.ImageIndex = 9;
			this.toolbarNew.ToolTipText = "Lgg till underniv";
			// 
			// toolbarDelete
			// 
			this.toolbarDelete.ImageIndex = 15;
			this.toolbarDelete.Visible = false;
			// 
			// toolbarPrint
			// 
			this.toolbarPrint.ImageIndex = 0;
			this.toolbarPrint.ToolTipText = "&Skriv ut";
			this.toolbarPrint.Visible = false;
			// 
			// toolbarExcel
			// 
			this.toolbarExcel.ImageIndex = 1;
			this.toolbarExcel.ToolTipText = "Exportera till Excel";
			this.toolbarExcel.Visible = false;
			// 
			// toolbarSeparator1
			// 
			this.toolbarSeparator1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.toolbarSeparator1.Visible = false;
			// 
			// toolbarCopy
			// 
			this.toolbarCopy.ImageIndex = 2;
			this.toolbarCopy.ToolTipText = "Kopiera vrden";
			this.toolbarCopy.Visible = false;
			// 
			// toolbarClear
			// 
			this.toolbarClear.ImageIndex = 3;
			this.toolbarClear.ToolTipText = "Nollstll prognos";
			this.toolbarClear.Visible = false;
			// 
			// toolbarComment
			// 
			this.toolbarComment.ImageIndex = 5;
			this.toolbarComment.ToolTipText = "Kommentar fr hela prognosen";
			this.toolbarComment.Visible = false;
			// 
			// toolbarSeparator2
			// 
			this.toolbarSeparator2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.toolbarSeparator2.Visible = false;
			// 
			// toolbarProperties
			// 
			this.toolbarProperties.ImageIndex = 4;
			this.toolbarProperties.ToolTipText = "Kolumninstllningar";
			this.toolbarProperties.Visible = false;
			// 
			// toolbarFilter
			// 
			this.toolbarFilter.ImageIndex = 10;
			this.toolbarFilter.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.toolbarFilter.ToolTipText = "Dlj nollvrden";
			this.toolbarFilter.Visible = false;
			// 
			// toolbarSummaryDetails
			// 
			this.toolbarSummaryDetails.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.toolbarSummaryDetails.ToolTipText = "Visa prognoskonton";
			this.toolbarSummaryDetails.Visible = false;
			// 
			// toolbarSeparator3
			// 
			this.toolbarSeparator3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.toolbarSeparator3.Visible = false;
			// 
			// toolbarPersonnelGroups
			// 
			this.toolbarPersonnelGroups.ImageIndex = 18;
			this.toolbarPersonnelGroups.Visible = false;
			// 
			// toolbarDrillDown
			// 
			this.toolbarDrillDown.ImageIndex = 16;
			this.toolbarDrillDown.Style = System.Windows.Forms.ToolBarButtonStyle.DropDownButton;
			this.toolbarDrillDown.Visible = false;
			// 
			// toolbarSeparator4
			// 
			this.toolbarSeparator4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.toolbarSeparator4.Visible = false;
			// 
			// toolbarDecline
			// 
			this.toolbarDecline.ImageIndex = 12;
			this.toolbarDecline.ToolTipText = "ppna";
			this.toolbarDecline.Visible = false;
			// 
			// toolbarApproveMotpart
			// 
			this.toolbarApproveMotpart.ImageIndex = 11;
			this.toolbarApproveMotpart.ToolTipText = "Klarmarkera prognos fr motpartsfrdelning";
			this.toolbarApproveMotpart.Visible = false;
			// 
			// toolbarApprove
			// 
			this.toolbarApprove.ImageIndex = 7;
			this.toolbarApprove.ToolTipText = "Klarmarkera";
			this.toolbarApprove.Visible = false;
			// 
			// toolbarSeparator5
			// 
			this.toolbarSeparator5.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.toolbarSeparator5.Visible = false;
			// 
			// toolbarInclude
			// 
			this.toolbarInclude.ImageIndex = 13;
			// 
			// toolbarExclude
			// 
			this.toolbarExclude.ImageIndex = 14;
			// 
			// toolbarEliminate
			// 
			this.toolbarEliminate.ImageIndex = 19;
			this.toolbarEliminate.Visible = false;
			// 
			// toolbarBuySell
			// 
			this.toolbarBuySell.ImageIndex = 6;
			this.toolbarBuySell.ToolTipText = "Kp / Slj";
			this.toolbarBuySell.Visible = false;
			// 
			// toolbar1ImageEnd
			// 
			this.toolbar1ImageEnd.BackColor = System.Drawing.Color.Transparent;
			this.toolbar1ImageEnd.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("toolbar1ImageEnd.BackgroundImage")));
			this.toolbar1ImageEnd.Location = new System.Drawing.Point(85, 0);
			this.toolbar1ImageEnd.Name = "toolbar1ImageEnd";
			this.toolbar1ImageEnd.Size = new System.Drawing.Size(15, 26);
			this.toolbar1ImageEnd.TabIndex = 6;
			this.toolbar1ImageEnd.TabStop = false;
			// 
			// toolbar1ImageStart
			// 
			this.toolbar1ImageStart.BackColor = System.Drawing.Color.Transparent;
			this.toolbar1ImageStart.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("toolbar1ImageStart.BackgroundImage")));
			this.toolbar1ImageStart.Location = new System.Drawing.Point(0, 0);
			this.toolbar1ImageStart.Name = "toolbar1ImageStart";
			this.toolbar1ImageStart.Size = new System.Drawing.Size(10, 26);
			this.toolbar1ImageStart.TabIndex = 5;
			this.toolbar1ImageStart.TabStop = false;
			// 
			// buttonCancel
			// 
			this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.buttonCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonCancel.Location = new System.Drawing.Point(688, 504);
			this.buttonCancel.Name = "buttonCancel";
			this.buttonCancel.TabIndex = 4;
			this.buttonCancel.Text = "Avbryt";
			this.buttonCancel.Click += new System.EventHandler(this.buttonCancel_Click);
			// 
			// buttonOK
			// 
			this.buttonOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.buttonOK.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonOK.Location = new System.Drawing.Point(600, 504);
			this.buttonOK.Name = "buttonOK";
			this.buttonOK.TabIndex = 3;
			this.buttonOK.Text = "Vlj";
			this.buttonOK.Click += new System.EventHandler(this.buttonOK_Click);
			// 
			// mainPanel
			// 
			this.mainPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.mainPanel.BackColor = System.Drawing.Color.WhiteSmoke;
			this.mainPanel.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.mainPanel.Controls.Add(this.gridDataBoundGrid1);
			this.mainPanel.Controls.Add(this.informationPanel);
			this.mainPanel.Location = new System.Drawing.Point(0, 30);
			this.mainPanel.Name = "mainPanel";
			this.mainPanel.Size = new System.Drawing.Size(774, 458);
			this.mainPanel.TabIndex = 20;
			// 
			// gridDataBoundGrid1
			// 
			this.gridDataBoundGrid1.ActivateCurrentCellBehavior = Syncfusion.Windows.Forms.Grid.GridCellActivateAction.None;
			this.gridDataBoundGrid1.AllowDragSelectedCols = true;
			this.gridDataBoundGrid1.AlphaBlendSelectionColor = System.Drawing.Color.FromArgb(((System.Byte)(64)), ((System.Byte)(143)), ((System.Byte)(193)), ((System.Byte)(255)));
			this.gridDataBoundGrid1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.gridDataBoundGrid1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.gridDataBoundGrid1.EnableEdit = false;
			this.gridDataBoundGrid1.ListBoxSelectionMode = System.Windows.Forms.SelectionMode.One;
			this.gridDataBoundGrid1.Location = new System.Drawing.Point(0, 24);
			this.gridDataBoundGrid1.Name = "gridDataBoundGrid1";
			this.gridDataBoundGrid1.OptimizeInsertRemoveCells = true;
			this.gridDataBoundGrid1.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus;
			this.gridDataBoundGrid1.Size = new System.Drawing.Size(772, 433);
			this.gridDataBoundGrid1.SmartSizeBox = false;
			this.gridDataBoundGrid1.SortBehavior = Syncfusion.Windows.Forms.Grid.GridSortBehavior.DoubleClick;
			this.gridDataBoundGrid1.TabIndex = 2;
			this.gridDataBoundGrid1.Text = "gridDataBoundGrid1";
			this.gridDataBoundGrid1.UseListChangedEvent = true;
			// 
			// informationPanel
			// 
			this.informationPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.informationPanel.BackColor = System.Drawing.Color.White;
			this.informationPanel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("informationPanel.BackgroundImage")));
			this.informationPanel.Controls.Add(this.informationImage);
			this.informationPanel.Controls.Add(this.informationLabel);
			this.informationPanel.ForeColor = System.Drawing.SystemColors.ControlText;
			this.informationPanel.Location = new System.Drawing.Point(0, 0);
			this.informationPanel.Name = "informationPanel";
			this.informationPanel.Size = new System.Drawing.Size(774, 24);
			this.informationPanel.TabIndex = 11;
			// 
			// informationImage
			// 
			this.informationImage.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.informationImage.BackColor = System.Drawing.Color.Transparent;
			this.informationImage.Image = ((System.Drawing.Image)(resources.GetObject("informationImage.Image")));
			this.informationImage.Location = new System.Drawing.Point(747, 4);
			this.informationImage.Name = "informationImage";
			this.informationImage.Size = new System.Drawing.Size(16, 16);
			this.informationImage.TabIndex = 8;
			this.informationImage.TabStop = false;
			// 
			// informationLabel
			// 
			this.informationLabel.AutoSize = true;
			this.informationLabel.BackColor = System.Drawing.Color.Transparent;
			this.informationLabel.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.informationLabel.ForeColor = System.Drawing.Color.White;
			this.informationLabel.Location = new System.Drawing.Point(8, 1);
			this.informationLabel.Name = "informationLabel";
			this.informationLabel.Size = new System.Drawing.Size(155, 23);
			this.informationLabel.TabIndex = 0;
			this.informationLabel.Text = "Organisationstrd";
			// 
			// PrognosisOrganizationTree
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(774, 538);
			this.ControlBox = false;
			this.Controls.Add(this.mainPanel);
			this.Controls.Add(this.buttonCancel);
			this.Controls.Add(this.buttonOK);
			this.Controls.Add(this.topPanel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "PrognosisOrganizationTree";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Vlj organisatorisk niv";
			this.Load += new System.EventHandler(this.PrognosisOrganizationTree_Load);
			this.topPanel.ResumeLayout(false);
			this.toolbar1Panel.ResumeLayout(false);
			this.mainPanel.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridDataBoundGrid1)).EndInit();
			this.informationPanel.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion
	}
}
